import 'package:fast_network_navigation/structs/landmark.dart';
import 'package:flutter/material.dart';


class LandmarkCard extends StatefulWidget {
  final Landmark landmark;
  @override
  _LandmarkCardState createState() => _LandmarkCardState();

  LandmarkCard(this.landmark);

}

class _LandmarkCardState extends State<LandmarkCard> {
  @override
  Widget build(BuildContext context) {
    ThemeData theme = Theme.of(context);
    return Card(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(15.0),
      ),
      child: Row(
        children: [
          Container(
            width: 160,
            height: 160,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.only(
                topLeft: Radius.circular(15.0),
                bottomLeft: Radius.circular(15.0),
              ),
              image: DecorationImage(
                image: NetworkImage('https://upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Tour_Eiffel_Wikimedia_Commons.jpg/1037px-Tour_Eiffel_Wikimedia_Commons.jpg'),
                fit: BoxFit.cover,
              ),
            ),
          ),
          Padding(
            padding: EdgeInsets.all(10),
            child: Expanded(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      Text(
                        widget.landmark.name,
                        style: TextStyle(
                          fontSize: 18,
                          fontWeight: FontWeight.bold,
                        ),
                      ),
                    ],
                  ),
                  SizedBox(height: 5),
                  Text(
                    "${widget.landmark.name} (${widget.landmark.type.name})",
                    style: TextStyle(fontSize: 14),
                  ),
                ],
              ),
            ),
          ),
          // Align(
          //   alignment: Alignment.topRight,
          //   child: Icon(Icons.push_pin, color: theme.primaryColor),
          // ),
        ],
      ),
    );
  }
}